(defun switch-to-nth-buffer (n)
  "Switches to nth most recent buffer. Ignores erc buffers unless switch-include-erc is non-nil."
  (catch 'tag
    (pp (car (buffer-list)))
    (pp (cadr (buffer-list)))
    (pp (caddr (buffer-list)))
    (pp (cadddr (buffer-list)))
    (mapcar (lambda (b)
		  (unless (minibufferp b)
		    (unless (string-match "^ " (buffer-name b))
		      (unless (equal b (current-buffer))
			(if (= n 1)
			    (progn
			      (switch-to-buffer b)
			      (throw 'tag nil))
			  (setq n (- n 1)))))))
	    (buffer-list))))

(defun switch-to-most-recent-buffer ()
  (interactive)
  (switch-to-nth-buffer 1))
(defun switch-to-second-most-recent-buffer ()
  (interactive)
  (switch-to-nth-buffer 2))
(global-set-key (kbd "<s-tab>") 'switch-to-most-recent-buffer)
(global-set-key (kbd "<C-tab>") 'switch-to-second-most-recent-buffer)
